Upstream information

CVE-2017-11552 at MITRE

Description

mpg321.c in mpg321 0.3.2-1 does not properly manage memory for use with libmad 0.15.1b, which allows remote attackers to cause a denial of service (memory corruption seen in a crash in the mad_decoder_run function in decoder.c in libmad) via a crafted MP3 file.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1082025 [RESOLVED / INVALID], 1082034 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 libmad Analysis
SUSE Enterprise Storage 7.1 libmad Analysis
SUSE Linux Enterprise Desktop 15 SP4 libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP4 libmad Analysis
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libmad Analysis
SUSE Linux Enterprise Real Time 15 SP3 libmad Analysis
SUSE Linux Enterprise Server 15 SP4 libmad Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libmad Analysis
SUSE Manager Proxy 4.2 libmad Analysis
SUSE Manager Proxy 4.3 libmad Analysis
SUSE Manager Retail Branch Server 4.2 libmad Analysis
SUSE Manager Retail Branch Server 4.3 libmad Analysis
SUSE Manager Server 4.2 libmad Analysis
SUSE Manager Server 4.3 libmad Analysis
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP1 libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2 libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP3 libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libmad Analysis
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libmad Analysis
SUSE Linux Enterprise High Performance Computing 15-ESPOS libmad Analysis
SUSE Linux Enterprise High Performance Computing 15-LTSS libmad Analysis
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 libmad Analysis
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libmad Analysis
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libmad Analysis
SUSE Linux Enterprise Server 15 SP1 libmad Analysis
SUSE Linux Enterprise Server 15 SP1-LTSS libmad Analysis
SUSE Linux Enterprise Server 15 SP2 libmad Analysis
SUSE Linux Enterprise Server 15 SP2-LTSS libmad Analysis
SUSE Linux Enterprise Server 15 SP3 libmad Analysis
SUSE Linux Enterprise Server 15 SP3-LTSS libmad Analysis
SUSE Linux Enterprise Server 15-ESPOS libmad Analysis
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libmad Analysis
SUSE Linux Enterprise Server for SAP Applications 15 libmad Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libmad Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libmad Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libmad Analysis
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 libmad Analysis
SUSE Enterprise Storage 6 libmad Analysis
SUSE Linux Enterprise Desktop 15 libmad Analysis
SUSE Linux Enterprise Desktop 15 SP1 libmad Analysis
SUSE Linux Enterprise Desktop 15 SP2 libmad Analysis
SUSE Linux Enterprise Desktop 15 SP3 libmad Analysis
SUSE Linux Enterprise Module for Desktop Applications 15 libmad Analysis
SUSE Linux Enterprise Real Time 15 SP2 libmad Analysis
SUSE Linux Enterprise Server 15 libmad Analysis
SUSE Linux Enterprise Server 15 SP1-BCL libmad Analysis
SUSE Linux Enterprise Server 15 SP2-BCL libmad Analysis
SUSE Linux Enterprise Server 15 SP3-BCL libmad Analysis
SUSE Linux Enterprise Server 15-LTSS libmad Analysis
SUSE Manager Proxy 4.0 libmad Unsupported
SUSE Manager Proxy 4.1 libmad Analysis
SUSE Manager Retail Branch Server 4.0 libmad Unsupported
SUSE Manager Retail Branch Server 4.1 libmad Analysis
SUSE Manager Server 4.0 libmad Unsupported
SUSE Manager Server 4.1 libmad Analysis


SUSE Timeline for this CVE

CVE page created: Tue Aug 1 17:50:55 2017
CVE page last modified: Fri Jan 20 13:42:45 2023